.appEdit {
    width: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;

    &__save {
        width: 630px;

        display: flex;
        justify-content: flex-end;

        padding: 40px 0 100px 0;

        &.--deactivate {
            button {
                background: #c1c1c1;
            }
        }

        button {
            margin: 30px 0 0 0;

            width: 300px;
            height: 45px;

            border: none;
            border-radius: 4px;

            font-family: 'europa', sans-serif;
            font-size: 20px;
            font-weight: 600;
            color: white;

            background: #0d74ff;

            outline: none;
            cursor: pointer;
        }
    }

    &__hero {
        margin: 40px 0 5px 0;

        font-family: 'europa', sans-serif;
        font-weight: 600;
        font-size: 32px;
        color: #444444;
    }

    &__data {
        margin: 40px 0 0px 0;

        width: 630px;

        font-family: 'europa', sans-serif;

        &__title {
            margin: 20px 0 8px 0;

            font-size: 20px;
            font-weight: 600;
            color: #444444;
        }

        &__label {
            margin: 20px 0 5px 0;

            color: #444444;
            font-size: 16px;
        }

        &__input {
            width: calc(100% - 17px);

            padding: 10px 0 10px 15px;

            font-family: 'europa', sans-serif;
            font-size: 17px;
            color: #444444;

            border: 1px solid #c1c1c1;
            border-radius: 4px;

            outline: none;
        }

        textarea {
            height: 130px;
        }
    }

    &-upload {
        width: 630px;

        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: flex-start;

        & > div {
            margin: 15px 0 0 0;

            img {
                height: 40px;
            }

            input {
                display: none;
            }

            label {
                display: flex;
                justify-content: center;
                align-items: center;

                width: 300px;
                height: 40px;

                font-family: 'europa', sans-serif;
                font-size: 19px;
                color: #0d74ff;
                font-weight: 600;

                border: 1px solid #0d74ff;
                border-radius: 4px;

                background: white;

                outline: none;
                cursor: pointer;

                &:hover {
                    background: #0d74ff;
                    color: white;
                }
            }
        }
    }
}

.app {
    &-info {
        display: flex;
        justify-content: center;

        &__desc {
            width: 600px;

            padding: 55px 0 55px 0;

            font-family: 'europa', sans-serif;
            color: #444444;

            &__title {
                padding: 0 0 20px 0;

                font-size: 24px;
                font-weight: 600;
            }
        }
    }

    &-preview {
        padding: 20px 0 20px 0;

        background: #f8f8fa;

        display: flex;
        justify-content: center;

        .slider {
            &__prev {
                margin: 0 0 0 -50px;

                transform: rotateY(180deg);
            }

            &__next {
                margin: 0 -50px 0 0;
            }

            &__prev,
            &__next {
                height: 60px;
                width: 60px;

                background: white;
                border: 1px solid #dadada;
                border-radius: 100%;

                display: flex;
                justify-content: center;
                align-items: center;

                img {
                    height: 30px;

                    margin: 0 0 0 5px;
                }

                outline: none;
                user-select: none;
                cursor: pointer;
            }

            .slider-list {
                iframe {
                    height: -webkit-fill-available;
                    width: 100%;
                }

                .slider-slide {
                    padding: 30px;

                    height: 500px !important;

                    display: flex !important;
                    justify-content: center !important;
                    align-items: center !important;
                }
            }
        }

        .slider-control-bottomcenter button {
            color: #444444 !important;
        }
    }

    &-footer {
        padding: 60px 0 60px 0;

        display: flex;
        flex-direction: column;
        align-items: center;

        background: #f8f8fa;

        font-family: 'europa', sans-serif;

        &__title {
            font-size: 24px;
            font-weight: 600;
        }

        &__available {
            width: auto;

            padding: 30px 0 0 0;

            font-size: 20px;
            color: #707070;

            display: flex;
            flex-direction: column;
            align-items: center;

            .app-footer__available__vendors {
                padding: 5px 0 0 0;

                display: flex;
                flex-wrap: wrap;
                justify-content: space-around;

                img {
                    margin: 10px;

                    height: 50px;
                }
            }
        }

        button {
            margin: 30px 0 0 0;

            width: 170px;
            height: 40px;

            border: none;
            border-radius: 4px;

            font-size: 16px;
            font-weight: 600;
            color: white;

            background: #0d74ff;

            outline: none;
            cursor: pointer;
        }
    }

    &-hero {
        height: auto;
        width: 100%;

        padding: 50px 0 50px 0;

        display: grid;
        grid-template:
            [row1-start] 'logo info download' 100% [row1-end]
            / 300px 1fr 300px;

        font-family: 'europa', sans-serif;
        color: #444444;

        &__logo {
            grid-area: logo;

            display: flex;
            justify-content: flex-end;

            img {
                height: 120px;
                width: 120px;

                border: 1px solid #c1c1c1;
                border-radius: 100%;
            }
        }

        &__info {
            grid-area: info;

            padding: 0 0 0 30px;

            display: flex;
            flex-direction: column;
            align-items: flex-start;

            &__title {
                font-size: 32px;
                font-weight: 600;
            }

            &__by {
                padding: 10px 0 0 0;

                font-size: 18px;

                &__desc {
                    margin: 10px 0 0 0;

                    font-size: 16px;
                    color: #707070;
                }

                &__name {
                    color: #0d74ff;

                    cursor: pointer;

                    &:hover {
                        text-decoration: underline;
                    }
                }
            }
        }

        &__download {
            grid-area: download;

            width: 170px;

            &__button {
                width: 170px;
                height: 40px;

                border: none;
                border-radius: 4px;

                font-size: 16px;
                font-weight: 600;
                color: white;

                background: #0d74ff;

                outline: none;
                cursor: pointer;
            }

            &__available {
                width: auto;

                padding: 30px 0 0 0;

                font-size: 16px;
                color: #707070;

                .app-download__available__vendors {
                    padding: 5px 0 0 0;

                    display: flex;
                    flex-wrap: wrap;
                    justify-content: space-around;

                    img {
                        margin: 10px;

                        height: 30px;
                    }
                }
            }
        }
    }
}

.popup {
    height: 100vh;
    width: 100vw;

    display: flex;
    justify-content: center;
    align-items: center;

    position: fixed;
    top: 0px;
    left: 0px;

    z-index: 1000000;

    background: rgba(79, 79, 79, 0.35);

    &-container {
        border: 1px solid #c1c1c1;
        border-radius: 4px;

        background: white;

        &.--download {
            width: fit-content;
            max-width: 640px;

            padding: 20px 35px 35px 35px;

            .title {
                padding: 0 0 20px 0;

                font-family: 'europa', sans-serif;
                font-weight: 600;
                font-size: 28px;

                color: #444444;
            }

            & > div {
                width: 640px;

                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;
                flex-direction: row;

                & > div:not(.title) {
                    width: fit-content;
                    margin: 10px;

                    display: flex;
                    flex-direction: column;
                    align-items: flex-start;

                    img {
                        height: 40px;
                    }

                    button {
                        width: 300px;
                        height: 40px;

                        font-family: 'europa', sans-serif;
                        font-size: 19px;
                        color: #0d74ff;
                        font-weight: 600;

                        border: 1px solid #0d74ff;
                        border-radius: 4px;

                        background: white;

                        outline: none;
                        cursor: pointer;

                        &:hover {
                            background: #0d74ff;
                            color: white;
                        }
                    }
                }
            }
        }
    }
}
